Loading...
Searching...
No Matches
Dune::FMatrixPrecision< ctype > Class Template Reference
Common » Dense Matrix and Vector Template Library

Precisions for calculations with FieldMatrix and FieldVector. More...

`#include <dune/common/precision.hh>`

## Static Public Member Functions

static ctype | absolute_limit ()
| return threshold to declare matrix singular
static void | set_absolute_limit (ctype absthres)
| set singular threshold

## Detailed Description

template<class ctype = double>
class Dune::FMatrixPrecision< ctype >

Precisions for calculations with FieldMatrix and FieldVector.

## Member Function Documentation

## absolute_limit()

template<class ctype = double>

ctype Dune::FMatrixPrecision< ctype >::absolute_limit | ( |  | ) |

inline static

return threshold to declare matrix singular

## set_absolute_limit()

template<class ctype = double>

void Dune::FMatrixPrecision< ctype >::set_absolute_limit | ( | ctype | absthres | ) |

inline static

set singular threshold

The documentation for this class was generated from the following file:

- precision.hh